%define		cardsets_minimal_ver	2.2.0

Summary:	A collection of solitare card games
Name:		PySolFC
Version:	2.20.1
Release:	3
License:	GPL v2+
Group:		Applications/Games
URL:		http://pysolfc.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pysolfc/%{name}-%{version}.tar.xz
# Source0-md5:	d913fdaeeb3d736701fd7684652c0a5f
Source1:	https://downloads.sourceforge.net/pysolfc/PySolFC-Cardsets--Minimal-%{cardsets_minimal_ver}.tar.xz
# Source1-md5:	74ce380505393a5538b25cccb2ea1682
Patch0:		pysolfc-setup.py-noglade.patch
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python3-modules
Requires:	python3-pillow-tk
Requires:	python3-tkinter
Requires:	tcl
Requires:	tix
Requires:	tk
Provides:	pysol = %{version}-%{release}
Provides:	pysol-sound-server = %{version}-%{release}
Obsoletes:	pysol < 5
Obsoletes:	pysol-sound-server < 5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PySolFC (PySol Fan Club) is a collection of more than 1000 solitaire
card games. It is a fork of PySol solitare. Its features include
modern look and feel (uses Tile widget set), multiple cardsets and
tableau backgrounds, sound, unlimited undo, player statistics, a hint
system, demo games, a solitaire wizard, support for user written
plug-ins, an integrated HTML help browser, and lots of documentation.

%prep
%setup -q -a1
%patch0 -p0

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

cp -a PySolFC-Cardsets--Minimal-%{cardsets_minimal_ver}/cardset-* $RPM_BUILD_ROOT%{_datadir}/PySolFC

# Not used in installed code
%{__sed} -i '/pycotap/d' $RPM_BUILD_ROOT%{py3_sitescriptdir}/PySolFC-*.egg-info/requires.txt

%find_lang pysol

%clean
rm -rf $RPM_BUILD_ROOT

%files -f pysol.lang
%defattr(644,root,root,755)
%doc AUTHORS.md NEWS.asciidoc README.md
%attr(755,root,root) %{_bindir}/pysol.py
%{py3_sitescriptdir}/pysollib
%{py3_sitescriptdir}/PySolFC-*.egg-info

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/cardset-*
%{_datadir}/%{name}/html
%{_datadir}/%{name}/images
%{_datadir}/%{name}/sound
%{_datadir}/%{name}/tcl
%{_datadir}/%{name}/themes
%{_datadir}/%{name}/tiles

%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*x*/apps/pysol.png
%changelog
* Fri Sep 15 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/PySolFC.git;a=log;h=master

* Fri Sep 15 2023 Jan Rękorajski <baggins@pld-linux.org> 3407923
- remove spurious edpendency, rel 3

* Fri Sep 15 2023 Jan Rękorajski <baggins@pld-linux.org> a468a4b
- rel 2, drop old sound server

* Fri Sep 15 2023 Jan Rękorajski <baggins@pld-linux.org> 4064d3e
- up to 2.20.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> cb8ab58
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 353a9b3
- automatic change: use py_build/py_install macros

* Wed Feb 17 2010 ankry <ankry@pld-linux.org> 05bf654
- no ru_RU

* Wed Feb 10 2010 sparky <sparky@pld-linux.org> bd24873
- BR: python-modules, rpm-pythonprov

* Sun Feb 07 2010 Elan Ruusamäe <glen@pld-linux.org> 1d6a1c2
- new, based on fedora work

